Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.avtransport.lastchange
Class AVTransportVariable.PossiblePlaybackStorageMedia

    java.lang.Object
      org.teleal.cling.support.lastchange.EventedValue<E[]>
          org.teleal.cling.support.lastchange.EventedValueEnumArray<StorageMedium>
              org.teleal.cling.support.avtransport.lastchange.AVTransportVariable.PossibleRecordStorageMedia
                  org.teleal.cling.support.avtransport.lastchange.AVTransportVariable.PossiblePlaybackStorageMedia

Enclosing class:
  AVTransportVariable

    public static class AVTransportVariable.PossiblePlaybackStorageMedia

extends AVTransportVariable.PossibleRecordStorageMedia

Field Summary

Fields inherited from class org.teleal.cling.support.lastchange.EventedValue
`value`

Constructor Summary
`AVTransportVariable.PossiblePlaybackStorageMedia(Map.Entry<String,String>[] attributes)`
`AVTransportVariable.PossiblePlaybackStorageMedia(StorageMedium[] e)`

Method Summary

Methods inherited from class org.teleal.cling.support.avtransport.lastchange.AVTransportVariable.PossibleRecordStorageMedia
`enumValueOf`

Methods inherited from class org.teleal.cling.support.lastchange.EventedValueEnumArray
`getDatatype, toString, valueOf`

Methods inherited from class org.teleal.cling.support.lastchange.EventedValue
`getAttributes, getName, getValue, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AVTransportVariable.PossiblePlaybackStorageMedia

    public AVTransportVariable.PossiblePlaybackStorageMedia(StorageMedium[] e)

### AVTransportVariable.PossiblePlaybackStorageMedia

    public AVTransportVariable.PossiblePlaybackStorageMedia(Map.Entry<String,String>[] attributes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.